--- title: "getFabricClusterPoolList" slug: "compute-vserver-fabriccluster-getfabricclusterpoollist" updated: 2026-09-17T10:06:00Z published: 2026-09-17T10:06:00Z canonical: "api.ncloud-docs.com/compute-vserver-fabriccluster-getfabricclusterpoollist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getFabricClusterPoolList Available in VPC Get an available Fabric cluster pool. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/getFabricClusterPoolList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Required | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). | | `zoneCode` | String | Required | Zone code - See [getZoneList](/docs/en/compute-vserver-server-common-getzonelist). | | `serverSpecCode` | String | Conditional | Filter by the server specification code. - Required when querying server specifications of the KVM hypervisor type. - See [getServerSpecList](/docs/en/compute-vserver-server-common-getserverspeclist). | | `serverProductCode` | String | Conditional | Filter by the server product code. - Required when querying bare metal server specifications. - See [getServerProductList](/docs/en/compute-vserver-server-common-getserverproductlist). | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/getFabricClusterPoolList ?regionCode=KR &zoneCode=KR-1 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getFabricClusterPoolListResponse` | Object | - | Response result - See [FabricClusterPoolList](/docs/en/common-vapidatatype-fabricclusterpoollist). | | `getFabricClusterPoolListResponse.requestId` | String | - | ID for the request - UUID format | | `getFabricClusterPoolListResponse.returnCode` | String | - | Response code | | `getFabricClusterPoolListResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the HTTP status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getFabricClusterPoolListResponse": { "totalRows": 1, "fabricClusterPoolList": { "fabricClusterPool": [ { "fabricClusterPoolNo": "***01", "fabricClusterPoolName": "test-***" } ] }, "requestId": "9b0ed68f-b044-4fd8-b138-22397fba64df", "returnCode": "0", "returnMessage": "success" } } ```